> ## Documentation Index
> Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get take by ID

> Returns a [take](/concepts/take) record by ID



## OpenAPI

````yaml GET /take/get/{id}
openapi: 3.0.0
info:
  version: 2.0.0
  title: illuxiLMS API
  description: Interact with the illuxiLMS API to manage your learning content and users.
  termsOfService: https://illuxi.com/conditions-utilisation/
  contact:
    name: illuxi Team
    email: info@illuxi.com
    url: https://illuxi.com
servers:
  - url: https://{portalApiUrl}
    description: Production server (uses live data)
    variables:
      portalApiUrl:
        default: your-portal.acme.com/api-v2
        description: Your portal's API URL
security:
  - bearerAuth: []
paths:
  /take/get/{id}:
    get:
      description: Returns a [take](/concepts/take) record by ID
      operationId: getTakeById
      parameters:
        - name: id
          in: path
          description: ID of take to get
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: take response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  result:
                    $ref: '#/components/schemas/Take'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Take:
      type: object
      properties:
        take_id:
          type: integer
          description: Unique identifier of the take record
          readOnly: true
        take_product_id:
          type: integer
          description: ID of the product being taken
        take_user_id:
          type: integer
          description: ID of the user taking the product
        take_status:
          type: string
          description: Completion status of the take
          enum:
            - in_progress
            - completed
            - failed
            - abandoned
        take_score:
          type: number
          format: float
          nullable: true
          description: Score achieved (percentage)
        take_started_date:
          type: string
          format: date-time
          nullable: true
          description: Date and time the take was started
        take_completed_date:
          type: string
          format: date-time
          nullable: true
          description: Date and time the take was completed
        take_created_date:
          type: string
          format: date-time
          readOnly: true
          description: Date the take record was created
        take_updated_date:
          type: string
          format: date-time
          readOnly: true
          description: Date the take record was last updated
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Authentication token obtained from POST /token

````